/* name:    timestamp.h
   author:  Leo Liberti
   purpose: handle timestamps in Unix (header file)
   source:  GNU C++ 4.1.2
   history: 080218 work started
*/

#ifndef _WETTIMESTAMPH
#define _WETTIMESTAMPH

#include <iostream>
#include <sys/time.h>

class TimeStampException {
 public:
  TimeStampException();
  ~TimeStampException();
};

class TimeStamp {
 public:
  TimeStamp();
  ~TimeStamp();
  // get/set methods
  long get(void) const;
  void set(long theTimeStamp);
  // read the system clock and update the timestamp
  void update(void) throw (TimeStampException);
 private:
  long timestamp;
};

// print the timestamp in humanly readable form
std::ostream& operator<<(std::ostream& s, TimeStamp& t) 
  throw (TimeStampException);

#endif
